Subject: Re: GCC
From: "Michael V. Nikolaev" <[email-masked]>
To: "Kai Henningsen" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 14 Sep 1999 19:54:19 +0300

Hi,

I had the same problem with cpp. This is due to soft link processing problem, I think. I just set links to i586-cygwin32, lib, and libexec in the directory where link to bin is.

----- Original Message ----- 
From: Kai Henningsen <[email-masked]>
To: Kai Henningsen <[email-masked]>; hark sng- <[email-masked]>; Mumit Khan <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: 14 âåðåñíÿ 1999 ð. 11:59
Subject: Re: GCC 

> On 13 Sep 99, at 8:18, Earnie Boyd wrote:
> 
> > --- Kai Henningsen <[email-masked]> wrote:
> > -8<-
> > > Found: f:\cygnus\cygwin-b20\H-i586-cygwin32\bin\cpp.exe
> > > Found: f:\cygnus\CYGWIN~1\H-I586~1\bin\cpp.exe
> > -8<-
> > 
> > This should not be here.  You've moved/copied it from the correct location
> > underneath lib/gcc-lib/i586-cygwin32/<gcc-version>/.
> 
> I haven't touched it. Let's see ...
> 
> bash-2.02$ find file://f/cygnus/ -name "*cpp*" 2>/dev/null
> file://f/cygnus/cygwin-b20/H-i586-cygwin32/bin/cpp.exe
> bash-2.02$
> 
> ... so *none* of the packages I installed put cpp in gcc-lib. And 
> neither did I get two copies as Mumit said. [*]
> 
> > Also, clean up your path so that only one instance of the directory is defined.
> >  You're wasting environment memory and making cygwin work harder.
> 
> Well, I added /bin and mounted the bin directory there. Not having 
> /bin/sh work is somewhat unproductive. And when I collected that 
> info, /bin was in the PATH (though it turned out this didn't solve the 
> problem which caused me to put it there). I don't even know (this 
> not really being Unix) where the original PATH comes from.
> 
> [*] More weird stuff:
> 
> bash-2.02$ find file://f/cygnus/ -name hggbjhb
> find: file://f/cygnus/cygwin-b20/H-i586-cygwin32/etc: No such file or directory
> find: file://f/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32: No such file or direc
> tory
> find: file://f/cygnus/cygwin-b20/H-i586-cygwin32/i586-pc-cygwin32: No such file or di
> rectory
> find: file://f/cygnus/cygwin-b20/H-i586-cygwin32/lib: No such file or directory
> find: file://f/cygnus/cygwin-b20/H-i586-cygwin32/libexec: No such file or directory
> find: file://f/cygnus/cygwin-b20: No such file or directory
> bash-2.02$
> 
> Looks like a find (or library) bug.
> 
> 
> 
> 
> Regards - Kai Henningsen
> 
> -- 
> http://www.cats.ms
> Spuentrup CTI       Fon: +49 251 322311 0  
> Windbreede 12       Fax: +49 251 322311 99
> D-48157 MÝnster     Mob: +49 161 3223111
> Germany             GSM: +49 171 7755060
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>